Bug 169213 - yum "Output" display needs to be unbuffered
yum "Output" display needs to be unbuffered
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kyum (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 23:13 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-25 14:57:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2005-09-24 23:13:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
The "Output" pane from yum processing is buffered (apparently) and doesn't show the tail of the output until the buffer fills or EOF is reached.

The Output should be unbuffered so as to see all the command output as it happens.

Version-Release number of selected component (if applicable):
kyum-0.7.5-1

How reproducible:
Always

Steps to Reproduce:
1.run kyum
2.
3.
  

Actual Results:  Output pane display appears in a buffered fashion

Expected Results:  should show output as it happens

Additional info:
Comment 1 Jochen Schmitt 2005-09-25 14:57:45 EDT
I have forwarded your response to the upstream author.

Best Regards:

Jochen Schmitt
Comment 2 Jochen Schmitt 2005-09-27 10:23:43 EDT
The problem may couseed from the QProcess class, which may conain a buffering
mechanism. 

It seems that the output from yum which doesn't ends with a LF, will coused the
reported problem.

Best Regards:

Jochen Schmitt

Note You need to log in before you can comment on or make changes to this bug.